<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<axsl:stylesheet xmlns:axsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:hl7="urn:hl7-org:v3" xmlns:cda="urn:hl7-org:v3" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="2.0"><!--Implementers: please note that overriding process-prolog or process-root is 
    the preferred method for meta-stylesheets to use where possible. -->

   <axsl:param name="archiveDirParameter"/>
   <axsl:param name="archiveNameParameter"/>
   <axsl:param name="fileNameParameter"/>
   <axsl:param name="fileDirParameter"/>
   <axsl:variable name="document-uri">
      <axsl:value-of select="document-uri(/)"/>
   </axsl:variable>

<!--PHASES-->


<!--PROLOG-->

   <axsl:output method="text"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->

   <axsl:template match="*" mode="schematron-select-full-path">
      <axsl:apply-templates select="." mode="schematron-get-full-path"/>
   </axsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->

   <axsl:template match="*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">
            <axsl:value-of select="name()"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:text>*:</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>[namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <axsl:text>[</axsl:text>
      <axsl:value-of select="1+ $preceding"/>
      <axsl:text>]</axsl:text>
   </axsl:template>
   <axsl:template match="@*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">@<axsl:value-of select="name()"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:text>@*[local-name()='</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>' and namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->

   <axsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <axsl:for-each select="ancestor-or-self::*">
         <axsl:text>/</axsl:text>
         <axsl:value-of select="name(.)"/>
         <axsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <axsl:text>[</axsl:text>
            <axsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <axsl:text>]</axsl:text>
         </axsl:if>
      </axsl:for-each>
      <axsl:if test="not(self::*)">
         <axsl:text/>/@<axsl:value-of select="name(.)"/>
      </axsl:if>
   </axsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--This mode can be used to generate prefixed XPath for humans 
	(Top-level element has index)-->

   <axsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <axsl:for-each select="ancestor-or-self::*">
         <axsl:text>/</axsl:text>
         <axsl:value-of select="name(.)"/>
         <axsl:if test="parent::*">
            <axsl:text>[</axsl:text>
            <axsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <axsl:text>]</axsl:text>
         </axsl:if>
      </axsl:for-each>
      <axsl:if test="not(self::*)">
         <axsl:text/>/@<axsl:value-of select="name(.)"/>
      </axsl:if>
   </axsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->

   <axsl:template match="/" mode="generate-id-from-path"/>
   <axsl:template match="text()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </axsl:template>
   <axsl:template match="comment()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </axsl:template>
   <axsl:template match="processing-instruction()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.@', name())"/>
   </axsl:template>
   <axsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:text>.</axsl:text>
      <axsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </axsl:template>

<!--MODE: GENERATE-ID-2 -->

   <axsl:template match="/" mode="generate-id-2">U</axsl:template>
   <axsl:template match="*" mode="generate-id-2" priority="2">
      <axsl:text>U</axsl:text>
      <axsl:number level="multiple" count="*"/>
   </axsl:template>
   <axsl:template match="node()" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>n</axsl:text>
      <axsl:number count="node()"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="string-length(local-name(.))"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="translate(name(),':','.')"/>
   </axsl:template><!--Strip characters-->
   <axsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->

   <axsl:template match="/">
      <axsl:apply-templates select="/" mode="M5"/>
      <axsl:apply-templates select="/" mode="M6"/>
   </axsl:template>

<!--SCHEMATRON PATTERNS-->


<!--PATTERN -->

   <axsl:template match="text()" priority="-1" mode="M5"/>
   <axsl:template match="@*|node()" priority="-2" mode="M5">
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

<!--PATTERN template-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000OpvragenLabuitslagMedicatiebewaking (payload)-->


	<!--RULE tmp-r-44eb8c7f-6d4c-4492-8339-e6a532b53f07-->

   <axsl:template match="hl7:ControlActProcess" priority="1014" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:queryByParameter)&gt;=1 and not(hl7:queryByParameter/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:queryByParameter is mandatory [min 1x]. (count(hl7:queryByParameter)&gt;=1 and not(hl7:queryByParameter/@nullFlavor) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:queryByParameter)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:queryByParameter komt te vaak voor [max 1x]. (count(hl7:queryByParameter)&lt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-r-994c9fa6-58ef-4e81-8190-296b1dbf58d4-->

   <axsl:template match="hl7:ControlActProcess/hl7:queryByParameter" priority="1013" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:queryId is mandatory [min 1x]. (count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:queryId)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:queryId komt te vaak voor [max 1x]. (count(hl7:queryId)&lt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode[@code='executing'])&gt;=1 and not(hl7:statusCode[@code='executing']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:statusCode[@code='executing'] is mandatory [min 1x]. (count(hl7:statusCode[@code='executing'])&gt;=1 and not(hl7:statusCode[@code='executing']/@nullFlavor) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:statusCode[@code='executing'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:statusCode[@code='executing'] komt te vaak voor [max 1x]. (count(hl7:statusCode[@code='executing'])&lt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:responseModalityCode[@code='B'])&gt;=1 and not(hl7:responseModalityCode[@code='B']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responseModalityCode[@code='B'] is mandatory [min 1x]. (count(hl7:responseModalityCode[@code='B'])&gt;=1 and not(hl7:responseModalityCode[@code='B']/@nullFlavor) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:responseModalityCode[@code='B'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responseModalityCode[@code='B'] komt te vaak voor [max 1x]. (count(hl7:responseModalityCode[@code='B'])&lt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:responsePriorityCode[@code='I'])&gt;=1 and not(hl7:responsePriorityCode[@code='I']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responsePriorityCode[@code='I'] is mandatory [min 1x]. (count(hl7:responsePriorityCode[@code='I'])&gt;=1 and not(hl7:responsePriorityCode[@code='I']/@nullFlavor) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:responsePriorityCode[@code='I'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responsePriorityCode[@code='I'] komt te vaak voor [max 1x]. (count(hl7:responsePriorityCode[@code='I'])&lt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:executionAndDeliveryTime)&gt;=1 and not(hl7:executionAndDeliveryTime/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:executionAndDeliveryTime is mandatory [min 1x]. (count(hl7:executionAndDeliveryTime)&gt;=1 and not(hl7:executionAndDeliveryTime/@nullFlavor) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:executionAndDeliveryTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:executionAndDeliveryTime komt te vaak voor [max 1x]. (count(hl7:executionAndDeliveryTime)&lt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:actMoodCode)&gt;=1 and not(hl7:actMoodCode/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:actMoodCode is mandatory [min 1x]. (count(hl7:actMoodCode)&gt;=1 and not(hl7:actMoodCode/@nullFlavor) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:actMoodCode)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:actMoodCode komt te vaak voor [max 1x]. (count(hl7:actMoodCode)&lt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:observationEffectiveTime)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:observationEffectiveTime komt te vaak voor [max 1x]. (count(hl7:observationEffectiveTime)&lt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:patientId is mandatory [min 1x]. (count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:patientId)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:patientId komt te vaak voor [max 1x]. (count(hl7:patientId)&lt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:responseTemplateId)&gt;=1 and not(hl7:responseTemplateId/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responseTemplateId is mandatory [min 1x]. (count(hl7:responseTemplateId)&gt;=1 and not(hl7:responseTemplateId/@nullFlavor) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:responseTemplateId)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responseTemplateId komt te vaak voor [max 1x]. (count(hl7:responseTemplateId)&lt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-r-491d699f-e58e-4ddc-a7e0-ad5ee9d37702-->

   <axsl:template match="hl7:ControlActProcess/hl7:queryByParameter/hl7:queryId" priority="1012" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<axsl:text/>
               <axsl:value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>}:<axsl:text/>
               <axsl:value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>" ((local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or           descendant-or-self::hl7:*[           (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or            (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or            (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)]"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-ANY: if there is a nullFlavor, there shall be no text or other attribute or element, unless it's nullFlavor='OTH' (@codeSystem, &lt;originalText&gt; or &lt;translation&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value) (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[ (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)] / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-II: @root is required if @nullFlavor is not present (@nullFlavor or (not(@nullFlavor) and @root) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-2-II: @root may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@root)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-4-II: @identifierName may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-5-II: @displayable may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-6-II: @reliability may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-7-II: @assigningAuthorityName may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>dtr1-8-II: @root should not be longer than 128 characters. Please write a note to the authors of this rule if this is found to be not sufficient (not(string-length(@root) &lt;= 128) / warning / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>dtr1-9-II: @extension should not be longer than 64 characters. Please write a note to the authors of this rule if this is found to be not sufficient (not(string-length(@extension) &lt;= 64) / warning / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root) or matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>dtr1-10-II: @root shall be a syntactically correct OID or UUID. (not(@root) or matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$') / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-r-923910fe-2956-49b7-a241-3a23114b07ff-->

   <axsl:template match="hl7:ControlActProcess/hl7:queryByParameter/hl7:statusCode[@code='executing']" priority="1011" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<axsl:text/>
               <axsl:value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>}:<axsl:text/>
               <axsl:value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>" ((local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or           descendant-or-self::hl7:*[           (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or            (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or            (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)]"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-ANY: if there is a nullFlavor, there shall be no text or other attribute or element, unless it's nullFlavor='OTH' (@codeSystem, &lt;originalText&gt; or &lt;translation&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value) (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[ (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)] / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code or @typeCode)) or (not(@nullFlavor) and (@code or @typeCode))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-CS: @code/@typeCode and @nullFlavor are mutually exclusive ((@nullFlavor and not(@code or @typeCode)) or (not(@nullFlavor) and (@code or @typeCode)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-2-CS: cannot have codeSystem (not(@codeSystem) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-3-CS: cannot have codeSystemName (not(@codeSystemName) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-4-CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-5-CS: cannot have displayName (not(@displayName) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-6-CS: cannot have originalText (not(hl7:originalText) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-7-CS: cannot have qualifier (not(hl7:qualifier) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-8-CS: cannot have translation (not(hl7:translation) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='executing')"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): de elementwaarde MOET een zijn van 'code 'executing''. (@nullFlavor or (@code='executing') / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-r-ceebd2be-a993-482b-be31-8bfab3fb6c7f-->

   <axsl:template match="hl7:ControlActProcess/hl7:queryByParameter/hl7:responseModalityCode[@code='B']" priority="1010" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<axsl:text/>
               <axsl:value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>}:<axsl:text/>
               <axsl:value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>" ((local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or           descendant-or-self::hl7:*[           (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or            (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or            (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)]"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-ANY: if there is a nullFlavor, there shall be no text or other attribute or element, unless it's nullFlavor='OTH' (@codeSystem, &lt;originalText&gt; or &lt;translation&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value) (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[ (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)] / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code or @typeCode)) or (not(@nullFlavor) and (@code or @typeCode))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-CS: @code/@typeCode and @nullFlavor are mutually exclusive ((@nullFlavor and not(@code or @typeCode)) or (not(@nullFlavor) and (@code or @typeCode)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-2-CS: cannot have codeSystem (not(@codeSystem) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-3-CS: cannot have codeSystemName (not(@codeSystemName) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-4-CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-5-CS: cannot have displayName (not(@displayName) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-6-CS: cannot have originalText (not(hl7:originalText) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-7-CS: cannot have qualifier (not(hl7:qualifier) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-8-CS: cannot have translation (not(hl7:translation) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='B')"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): de elementwaarde MOET een zijn van 'code 'B''. (@nullFlavor or (@code='B') / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-r-bbb73825-7f9a-4d54-bd63-c8e04e763129-->

   <axsl:template match="hl7:ControlActProcess/hl7:queryByParameter/hl7:responsePriorityCode[@code='I']" priority="1009" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<axsl:text/>
               <axsl:value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>}:<axsl:text/>
               <axsl:value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>" ((local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or           descendant-or-self::hl7:*[           (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or            (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or            (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)]"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-ANY: if there is a nullFlavor, there shall be no text or other attribute or element, unless it's nullFlavor='OTH' (@codeSystem, &lt;originalText&gt; or &lt;translation&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value) (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[ (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)] / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code or @typeCode)) or (not(@nullFlavor) and (@code or @typeCode))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-CS: @code/@typeCode and @nullFlavor are mutually exclusive ((@nullFlavor and not(@code or @typeCode)) or (not(@nullFlavor) and (@code or @typeCode)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-2-CS: cannot have codeSystem (not(@codeSystem) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-3-CS: cannot have codeSystemName (not(@codeSystemName) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-4-CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-5-CS: cannot have displayName (not(@displayName) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-6-CS: cannot have originalText (not(hl7:originalText) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-7-CS: cannot have qualifier (not(hl7:qualifier) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-8-CS: cannot have translation (not(hl7:translation) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='I')"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): de elementwaarde MOET een zijn van 'code 'I''. (@nullFlavor or (@code='I') / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-r-477417db-2c01-4cc2-8878-e56cb21d3045-->

   <axsl:template match="hl7:ControlActProcess/hl7:queryByParameter/hl7:executionAndDeliveryTime" priority="1008" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<axsl:text/>
               <axsl:value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>}:<axsl:text/>
               <axsl:value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>" ((local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or           descendant-or-self::hl7:*[           (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or            (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or            (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)]"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-ANY: if there is a nullFlavor, there shall be no text or other attribute or element, unless it's nullFlavor='OTH' (@codeSystem, &lt;originalText&gt; or &lt;translation&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value) (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[ (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)] / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-QTY: no uncertainty (not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>dtr1-2-QTY: no history or updateMode (count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or @value or *) and not(@nullFlavor and @value)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-TS: null or value or child element in case of extension ((@nullFlavor or @value or *) and not(@nullFlavor and @value) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-r-be789521-2a2e-4223-b502-b662d090c89c-->

   <axsl:template match="hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode" priority="1007" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor])&gt;=1 "/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor] is required [min 1x]. (count(hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor])&gt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor] komt te vaak voor [max 1x]. (count(hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor])&lt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-r-8226e7eb-27de-464f-9044-c2afd9c3d6f7-->

   <axsl:template match="hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode/hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor]" priority="1006" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<axsl:text/>
               <axsl:value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>}:<axsl:text/>
               <axsl:value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>" ((local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or           descendant-or-self::hl7:*[           (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or            (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or            (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)]"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-ANY: if there is a nullFlavor, there shall be no text or other attribute or element, unless it's nullFlavor='OTH' (@codeSystem, &lt;originalText&gt; or &lt;translation&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value) (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[ (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)] / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-CD: null or code and/or originalText (@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-2-CD: code requires codeSystem (@codeSystem or not(@code) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-3-CD: codeSystemName only if codeSystem (@codeSystem or not(@codeSystemName) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-4-CD: codeSystemVersion only if codeSystem (@codeSystem or not(@codeSystemVersion) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code or not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-5-CD: displayName only if code (@code or not(@displayName) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@code))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-6-CD: no code if null (not(@nullFlavor) or (@nullFlavor and not(@code)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayName))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-7-CD: no displayName if null (not(@nullFlavor) or (@nullFlavor and not(@displayName)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-8-CD: no originalText on translations (not(hl7:translation/hl7:originalText) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-10-CD: no null on translations (not(hl7:translation/@nullFlavor) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@code)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-11-CD: translation code requires codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@code) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-12-CD: translation codeSystemName only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-13-CD: translation codeSystemVersion only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@code or not(hl7:translation/@displayName)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-14-CD: translation displayName only if code (hl7:translation/@code or not(hl7:translation/@displayName) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="matches(@displayName,'[\r\n\t]')">
         <axsl:message>dtr1-15-CD: it looks like there are formatting instructions in attribute @displayName. Please note that this may lead to
        interoperability problems. (matches(@displayName,'[\r\n\t]') / warning / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-CE: cannot have qualifier (not(hl7:qualifier) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-CV: cannot have translation (not(hl7:translation) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001')"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): de elementwaarde MOET een zijn van 'code 'EVN' codeSystem '2.16.840.1.113883.5.1001''. (@nullFlavor or (@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-r-b48ad066-5b6c-4bb4-b9a6-dc783b24fac7-->

   <axsl:template match="hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime" priority="1005" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value is mandatory [min 1x]. (count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value)&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value komt te vaak voor [max 1x]. (count(hl7:value)&lt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-r-7860fdfb-a3c0-4d04-bdc8-7a331f8cf00f-->

   <axsl:template match="hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime/hl7:value" priority="1004" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<axsl:text/>
               <axsl:value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>}:<axsl:text/>
               <axsl:value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>" ((local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or           descendant-or-self::hl7:*[           (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or            (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or            (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)]"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-ANY: if there is a nullFlavor, there shall be no text or other attribute or element, unless it's nullFlavor='OTH' (@codeSystem, &lt;originalText&gt; or &lt;translation&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value) (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[ (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)] / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-QTY: no uncertainty (not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>dtr1-2-QTY: no history or updateMode (count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or @value or *) and not(@nullFlavor and @value)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-TS: null or value or child element in case of extension ((@nullFlavor or @value or *) and not(@nullFlavor and @value) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-r-4125801e-e9b8-44ac-af16-f9af20805d16-->

   <axsl:template match="hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId" priority="1003" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x]. (count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x]. (count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-r-f66bb22f-d93a-4e0d-98cd-e0c0c656e138-->

   <axsl:template match="hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']" priority="1002" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<axsl:text/>
               <axsl:value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>}:<axsl:text/>
               <axsl:value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>" ((local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or           descendant-or-self::hl7:*[           (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or            (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or            (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)]"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-ANY: if there is a nullFlavor, there shall be no text or other attribute or element, unless it's nullFlavor='OTH' (@codeSystem, &lt;originalText&gt; or &lt;translation&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value) (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[ (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)] / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-II: @root is required if @nullFlavor is not present (@nullFlavor or (not(@nullFlavor) and @root) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-2-II: @root may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@root)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-4-II: @identifierName may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-5-II: @displayable may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-6-II: @reliability may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-7-II: @assigningAuthorityName may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>dtr1-8-II: @root should not be longer than 128 characters. Please write a note to the authors of this rule if this is found to be not sufficient (not(string-length(@root) &lt;= 128) / warning / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>dtr1-9-II: @extension should not be longer than 64 characters. Please write a note to the authors of this rule if this is found to be not sufficient (not(string-length(@extension) &lt;= 64) / warning / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root) or matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>dtr1-10-II: @root shall be a syntactically correct OID or UUID. (not(@root) or matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$') / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or @root='2.16.840.1.113883.2.4.6.3'"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-II.NL.BSN: Burgerservicenummer @root MOET 2.16.840.1.113883.2.4.6.3 zijn indien niet null (@nullFlavor or @root='2.16.840.1.113883.2.4.6.3' / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>dtr1-2-II.NL.BSN: Burgerservicenummer MOET 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (         (   number(substring(@extension,1,1))*9 )+         (   number(substring(@extension,2,1))*8 )+         (   number(substring(@extension,3,1))*7 )+         (   number(substring(@extension,4,1))*6 )+         (   number(substring(@extension,5,1))*5 )+         (   number(substring(@extension,6,1))*4 )+         (   number(substring(@extension,7,1))*3 )+         (   number(substring(@extension,8,1))*2 )+         (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>dtr1-3-II.NL.BSN: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string(@root)='2.16.840.1.113883.2.4.6.3'"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben. (string(@root)='2.16.840.1.113883.2.4.6.3' / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@extension"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): attribute @extension MOET aanwezig zijn. (@extension / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-r-d411b71e-2dd2-49e3-9e92-f4d6f1dc6758-->

   <axsl:template match="hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId" priority="1001" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5']/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'] is mandatory [min 1x]. (count(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5']/@nullFlavor) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'])&lt;=1"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'] komt te vaak voor [max 1x]. (count(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'])&lt;=1 / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE tmp-r-39de7cf6-cbd1-452c-bc64-21bc65606fd2-->

   <axsl:template match="hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId/hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5']" priority="1000" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<axsl:text/>
               <axsl:value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>}:<axsl:text/>
               <axsl:value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>
               <axsl:text/>" ((local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or           descendant-or-self::hl7:*[           (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or            (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or            (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)]"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-ANY: if there is a nullFlavor, there shall be no text or other attribute or element, unless it's nullFlavor='OTH' (@codeSystem, &lt;originalText&gt; or &lt;translation&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value) (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[ (@nullFlavor and count(@* except (@xsi:type|@xsi:nil|@classCode|@typeCode|@determinerCode|@moodCode|@nullFlavor))=0 and count(*)=0 and not(text()[string-length(normalize-space())&gt;0])) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText or hl7:translation) and count(@* except (@xsi:type|@xsi:nil|@codeSystem|@nullFlavor))=0) or (@nullFlavor='UNC' and (@extension) and count(@* except (@xsi:type|@xsi:nill|@extension|@nullFlavor))=0)] / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>dtr1-1-II: @root is required if @nullFlavor is not present (@nullFlavor or (not(@nullFlavor) and @root) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-2-II: @root may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@root)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-4-II: @identifierName may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-5-II: @displayable may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-6-II: @reliability may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>dtr1-7-II: @assigningAuthorityName may not be used if @nullFlavor is present (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>dtr1-8-II: @root should not be longer than 128 characters. Please write a note to the authors of this rule if this is found to be not sufficient (not(string-length(@root) &lt;= 128) / warning / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>dtr1-9-II: @extension should not be longer than 64 characters. Please write a note to the authors of this rule if this is found to be not sufficient (not(string-length(@extension) &lt;= 64) / warning / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root) or matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$')"/>
         <axsl:otherwise>
            <axsl:message>dtr1-10-II: @root shall be a syntactically correct OID or UUID. (not(@root) or matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$') / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/>)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="theValue" select="@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string(@root)='2.16.840.1.113883.2.4.6.10.35.5'"/>
         <axsl:otherwise>
            <axsl:message>(OpvragenLabuitslagMedicatiebewaking-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.35.5' hebben. (string(@root)='2.16.840.1.113883.2.4.6.10.35.5' / error / <axsl:apply-templates select="." mode="schematron-select-full-path"/> / http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M6"/>
   <axsl:template match="@*|node()" priority="-2" mode="M6">
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>
</axsl:stylesheet>